#include <bits/stdc++.h>
using namespace std;
char c1,c2;
int a1,a2;
int main(){
    cin>>c1>>c2;
    cin>>a1>>a2;
        if(a1==a2){
            for(int i=0; i<a1; i++){
                    cout<<c1<<c2;
            }
        }
        else if(a1==a2+1){
            for(int i=0; i<a2; i++)
                    cout<<c1<<c2;
              for(int j=0; j<a1-a2; j++)
                    cout<<c1;
        }
        else if(a2==a1+1){
             for(int i=0; i<a1; i++)
                    cout<<c2<<c1;
              for(int j=0; j<a2-a1; j++)
                    cout<<c2;
        }
        else{
            cout<<"nemoguce";
        }
    return 0;
}